Page MenuHomePhabricator

Enable draftquality model in ORES extension for enwiki
Closed, ResolvedPublic

Event Timeline

Ladsgroup created this task.Nov 2 2017, 4:52 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 2 2017, 4:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 388092 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Enable draftquality model in ORES extension for enwiki

https://gerrit.wikimedia.org/r/388092

Thanks Amir! I'll schedule this for a SWAT deployment next week if that's cool with you.

Yeah sure, just remember you need to run extensions/ORES/maintenance/CheckModelVersions.php right after deploying :)

Change 388092 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable draftquality model in ORES extension for enwiki

https://gerrit.wikimedia.org/r/388092

Mentioned in SAL (#wikimedia-operations) [2017-11-06T19:21:59Z] <Amir1> ladsgroup@terbium:/srv/mediawiki-staging/php-1.31.0-wmf.4$ mwscript extensions/ORES/maintenance/CheckModelVersions.php --wiki=enwiki (T179596)

kaldari closed this task as Resolved.Nov 6 2017, 7:36 PM

We are now collecting draftquality scores for all new articles (and drafts) on English Wikipedia in the database:

[enwiki]> select * from ores_classification where oresc_model = 26;
+-----------+-----------+-------------+-------------+-------------------+--------------------+
| oresc_id  | oresc_rev | oresc_model | oresc_class | oresc_probability | oresc_is_predicted |
+-----------+-----------+-------------+-------------+-------------------+--------------------+
| 169299190 | 809036689 |          26 |           1 |             0.997 |                  1 |
| 169299191 | 809036689 |          26 |           2 |             0.001 |                  0 |
| 169299227 | 809036705 |          26 |           1 |             0.997 |                  1 |
| 169299228 | 809036705 |          26 |           2 |             0.001 |                  0 |

The key to oresc_class is:

"draftquality": {
    "attack": 0,
    "OK": 1,
    "spam": 2,
    "vandalism": 3
}

It only includes "OK" and "spam" data, not vandalism. This needs to be fixed.

@Ladsgroup: I saw at least one vandalism score. Maybe it's just 0 for the rest.

@Ladsgroup: I saw at least one vandalism score. Maybe it's just 0 for the rest.

Still should store it though